Skip to content

Returns a setting from the system by its ID.

Request

This method will look up a setting by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/settings/{tenantId}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The setting was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
additional_contact_fields_to_show_in_organization_queriesArray of objects, <= 15 items

RB-3239 - when querying organizations, you can show contacts by role. Besides name/email/phone, you can also have additional fields added. A limit is imposed so that query descriptions do not blow up.

automatic_region_assignment_optionsobject(Automatic Region Assignment Options)required
child_organization_portal_settingsobject(Child Organization Portal Settings)required
committees_to_include_in_contact_queriesArray of objects, [ 1 .. 15 ] itemsrequired
console_create_contact_form_idstring(Console Create Contact Form)^rolodex-contacts__.*

The default form for creating a contact in the console

console_create_organization_form_idstring(Console Create Organization Form)^rolodex-organizations__.*

The default form for creating an organization in the console

console_edit_contact_form_idstring(Console Edit Contact Form)^rolodex-contacts__.*

The default form for editing a contact in the console

console_edit_organization_form_idstring(Console Edit Organization Form)^rolodex-organizations__.*

The default form for editing an organization in the console

contact_engagement_scoring_model_idstring(Contact Engagement Scoring Model)

The scoring model for contacts

contact_role_permissionsArray of objects

The contact roles that are allowed to manage this scholarship

contactsobject(Contacts)
courses_to_include_in_contact_queriesArray of objects, [ 1 .. 15 ] itemsrequired
disable_organization_creation_during_sign_upboolean(Disable Organization Creation During Sign Up)

If set, the sign up contact sign up/linking process will not create an organization

duplicate_preventionstring(Duplicate Prevention)

If set, contacts will not be allowed to be created/updated with a duplicate email address

Enum:"both""disabled""portal"
enable_automatic_region_assignmentboolean(Enable Automatic Region Assignment)

If set, contacts & organizations are assigned to a region

enable_child_organization_management_in_portalboolean(Enable Child Organization Management In Portal)

If true, contacts can manage child organizations in the portal

enable_engagement_scoringboolean(Enable Engagement Scoring)

Whether or not engagement scoring is enabled

events_to_include_in_contact_queriesArray of objects, [ 1 .. 15 ] itemsrequired
include_committee_fields_in_contact_queriesboolean(Include Committee Fields In Contact Queries)

If set, committee-related fields for certain committees will be included in all contact queries

include_course_fields_in_contact_queriesboolean(Include Course Fields In Contact Queries)

If set, course-related fields for certain courses will be included in all contact queries

include_event_fields_in_contact_queriesboolean(Include Event Fields In Contact Queries)

If set, event-related fields for certain events will be included in all contact queries

new_contact_redirect_routestring(New Contact Redirect Route)

If set, the route that new contacts should be taken to after contact creation

notesstring(Notes)
organization_engagement_scoring_model_idstring(Organization Engagement Scoring Model)

The scoring model for organizations

organizationsobject(Organizations)
portal_create_organization_contact_form_idstring(Portal Create Organization Contact Form)^rolodex-contacts__.*

The form used in the portal when an administrator adds an organization contact

portal_edit_organization_contact_form_idstring(Portal Edit Organization Contact Form)^rolodex-contacts__.*

The form used in the portal when an administrator edits an organization contact

portal_new_user_profile_form_idstring(Portal New User Profile Form)^rolodex-contacts__.*

The form for new users

portal_update_organization_info_form_idstring(Portal Update Organization Info Form)^rolodex-organizations__.*

Update profile portal form

portal_update_profile_form_idstring(Portal Update Profile Form)^rolodex-contacts__.*

Update profile portal form

restrict_contact_credentials_changesboolean(Restrict Contact Credentials Changes)

If set, contacts cannot change their credentials in the portal

restrict_contact_name_changesboolean(Restrict Contact Name Changes)

If set, contacts cannot change their name in the portal

restrict_organization_name_changesboolean(Restrict Organization Name Changes)

If set, contacts cannot change their organization's name in the portal

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "additional_contact_fields_to_show_in_organization_queries": [ { … } ], "automatic_region_assignment_options": { "automatically_assign": "both", "contact_address_type": "home", "contact_other_address_type_id": "string", "rules": [ … ] }, "child_organization_portal_settings": { "allow_creation_of_new_child_organization": true, "allow_deleting_of_child_organization": true, "allow_editing_of_child_organization": true, "child_organization_label_plural": "string", "child_organization_label_singular": "string", "create_organization_form_id": "string", "edit_organization_form_id": "string" }, "committees_to_include_in_contact_queries": [ { … } ], "console_create_contact_form_id": "string", "console_create_organization_form_id": "string", "console_edit_contact_form_id": "string", "console_edit_organization_form_id": "string", "contact_engagement_scoring_model_id": "string", "contact_role_permissions": [ { … } ], "contacts": { "default_360_screen": "string", "default_console_forms": { … }, "default_portal_forms": { … } }, "courses_to_include_in_contact_queries": [ { … } ], "disable_organization_creation_during_sign_up": true, "duplicate_prevention": "both", "enable_automatic_region_assignment": true, "enable_child_organization_management_in_portal": true, "enable_engagement_scoring": true, "events_to_include_in_contact_queries": [ { … } ], "include_committee_fields_in_contact_queries": true, "include_course_fields_in_contact_queries": true, "include_event_fields_in_contact_queries": true, "new_contact_redirect_route": "string", "notes": "string", "organization_engagement_scoring_model_id": "string", "organizations": { "default_360_screen": "string", "default_console_forms": { … }, "default_portal_forms": { … } }, "portal_create_organization_contact_form_id": "string", "portal_edit_organization_contact_form_id": "string", "portal_new_user_profile_form_id": "string", "portal_update_organization_info_form_id": "string", "portal_update_profile_form_id": "string", "restrict_contact_credentials_changes": true, "restrict_contact_name_changes": true, "restrict_organization_name_changes": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }